# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Parse-CommandLine-Regexp
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: Parsing string like command line
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Parse-CommandLine-Regexp

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module is an alternative to the Parse::CommandLine manpage, using regexp instead of
per-character parsing technique employed by Parse::CommandLine, and which might
offer better performance in Perl (see benchmarks in
the Bencher::Scenario::CmdLineParsingModules manpage).

the section on "parse_command_line", the main routine, basically split a string into
"words", with whitespaces as delimiters while also taking into account quoting
using `"' (double-quote character) and `'' (single-quote character) as well as
escaping using `\' (backslash character). This splitting is similar to, albeit
simpler than, what a shell like bash does to its command-line string.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/P*

%changelog
* Sun Feb 10 2019 Igor Vlasenko <viy@altlinux.ru> 0.001-alt1
- initial import by package builder

